import request from '@/utils/request'

export function trialExternalUserJoinTrial(param) {
  return request({
    url: '/TrialExternalUser/trialExternalUserJoinTrial',
    method: 'post',
    data: param
  })
}

export function trialSiteSurveyUserJoinTrial(param) {
  return request({
    url: '/TrialExternalUser/trialSiteSurveyUserJoinTrial',
    method: 'post',
    data: param
  })
}

export function joinBasicInfo(param) {
  return request({
    url: `/TrialExternalUser/joinBasicInfo?Id=${param.Id}&IsExternalUser=${param.IsExternalUser}`,
    method: 'post'
  })
}
